@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600&display=swap');


::-webkit-scrollbar {
    width: 2px;
    height: 2px;
}

::-webkit-scrollbar-button {
    width: 0px;
    height: 0px;
}

::-webkit-scrollbar-thumb {
    background: var(--colorPrinciapl);
    border: 0px none #ffffff;
    border-radius: 50px;
}

::-webkit-scrollbar-thumb:hover {
    background: #ffffff;
}

::-webkit-scrollbar-thumb:active {
    background: #000000;
}

::-webkit-scrollbar-track {
    background: #666666;
    border: 0px none #ffffff;
    border-radius: 50px;
}

::-webkit-scrollbar-track:hover {
    background: #666666;
}

::-webkit-scrollbar-track:active {
    background: #333333;
}

::-webkit-scrollbar-corner {
    background: transparent;
}

:root {
    --colorPrinciapl: #133388;
    --BoxShodow: #a29e9e;
    --colorBody: #e6e6e6;
    --colorLoading: #133388;
    --colorHeaderDash: white;
    --colorHeaderTableSpan: #ffff2f;
    --colorTable: white;
    --colorFont: black;
    --colorTableHeader: black;
}

body.dark {
    --colorPrinciapl: #292C35;
    --BoxShodow: transparent;
    --colorBody: #242730e6;
    --colorLoading: yellow;
    --colorHeaderDash: linear-gradient(45deg, #e0d53f, #ffee00);
    --colorHeaderTableSpan: linear-gradient(45deg, #e0d53f, #ffee00);
    --colorTable: #292C35;
    --colorFont: white;
    --colorTableHeader: black;
}


body {
    margin: 0;
    padding: 0;
}

.navbar {
    position: fixed;
    width: 100vw;
    top: 0;
    z-index: 1000;
    font-family: 'Montserrat', sans-serif;
}

.navbar .nav {
    background: var(--colorPrinciapl);
    width: 100%;
    box-shadow: 4px 4px 10px var(--BoxShodow);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    border-bottom: 1px solid #a29e9e;
    height: 50px;
}

.navbar .subLi {
    transition: all 0.5 ease-in-out;
    opacity: 0;
    visibility: hidden;
    height: 40px;
    position: absolute;
    top: 50px;
    width: auto;
    z-index: 1000;
}

.navbar .subLi.ActiveNav {
    opacity: 1;
    visibility: visible;
}

.navbar .subLi ul {
    margin: 0 0 0px -40px;
}

.navbar .nav ul {
    display: flex;
    height: 100%;
    width: 100%;
    justify-content: flex-start;
    align-items: center;
    margin: 0;
    position: relative;
}

.navbar .nav ul img {
    transition: all 0.4s ease-in-out;
    object-fit: cover;
    width: 70px;
    margin: 0 0 0 -35px;
    cursor: pointer;
}

.navbar .nav ul img:hover {
    width: 80px;
}

.navbar .nav ul li {
    transition: all 0.4s ease-in-out;
    display: inline-block;
    list-style-type: none;
    background: var(--colorHeaderDash);
    margin: 0 5px 0 5px;
    padding: 5px;
    border-radius: 2px;
    cursor: pointer;
    color: black;
    position: relative;
}

.navbar .nav ul li i {
    transition: all 0.4s ease-in-out;
    font-size: 15px;
    color: var(--colorPrinciapl);
    margin: 0 1px 0 0;
}

.navbar .nav ul li span {
    transition: all 0.4s ease-in-out;
    font-size: 12px;
    font-weight: 500;
    font-family: 'Montserrat', sans-serif;
}

.navbar .nav ul li .SubULnav::before {
    content: "";
    position: absolute;
    top: -10px;
    left: 50%;
    transform: translate(-50%, 0);
    height: 0;
    width: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #ffffff;
}

.navbar .nav ul li .SubULnav {
    transition: all 0.5s ease-in-out;
    position: absolute;
    background: white;
    border-radius: 5px;
    width: 150px;
    height: auto;
    visibility: hidden;
    top: -200px;
    left: -35%;
    box-shadow: 3px 3px 10px #c2c2c2;
    display: inline-block;
    padding: 0;
}

.navbar .nav ul li .SubULnav.Active {
    visibility: visible;
    animation-name: AnimationSubULNav;
    animation-duration: 1s;
    top: 58px;
}

@keyframes AnimationSubULNav {
    0% {
        top: -200px;
    }

    60% {
        top: 75px;
    }

    100% {
        top: 58px;
    }
}

.navbar .nav ul li .SubULnav li {
    display: block;
    background: transparent;
    margin: 0;
    padding: 5px;
    border-radius: 0;
    border-bottom: 1px solid #c2c2c2;
    font-size: 12px;
    font-weight: 500;
    font-family: 'Montserrat', sans-serif;
    border-radius: 4px;
}

.navbar .nav ul li .SubULnav li:hover {
    background-color: var(--colorPrinciapl);
}

.navbar .nav ul li .SubULnav li:nth-last-child(1) {
    border-bottom: 0;
}

.Body {
    background: var(--colorBody);
    z-index: 100;
    position: fixed;
    top: 50px;
    bottom: 0px;
    width: 100%;
}

.Body .corpoBody {
    transition: all 0.4s ease-in-out;
    width: 100%;
    height: 100%;
    max-height: 100%;
    overflow: auto;
    position: absolute;
}

.Body .corpoBody.ActiveBody {
    display: block;
    visibility: visible;
    opacity: 1;
}

.lds-ellipsis {
    display: none;
    position: absolute;
    width: 80px;
    height: 80px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 100000;
}

.lds-ellipsis.Active {
    display: block;
}

.lds-ellipsis div {
    position: absolute;
    top: 33px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: var(--colorLoading);
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }

    100% {
        transform: scale(0);
    }
}

@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }

    100% {
        transform: translate(24px, 0);
    }
}

.nav ul .modeNight {
    position: absolute;
    right: 20px;
    z-index: 1000;
}


.label {
    background-color: #111;
    border-radius: 50px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    position: relative;
    height: 7px;
    width: 25px;
    transform: scale(1.5);
}

.label .ball {
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;
    height: 13px;
    width: 13px;
    transform: translateX(0px);
    transition: transform 0.2s linear;
}

.checkbox:checked+.label .ball {
    transform: translateX(18px);
}


.fa-moon {
    color: #f1c40f;
    font-size: 9px;
}

.fa-sun {
    color: #f39c12;
    font-size: 9px;
}

.checkbox {
    opacity: 0;
    position: absolute;
}


/* CORPO RELAOTORIO BODY */

.CorpoDash {
    width: 100%;
    height: 100%;
    overflow: auto;
}

.CorpoDash .HeaderDash {
    background: var(--colorHeaderDash);
    margin: 12px 5px 5px 5px;
    box-shadow: 3px 3px 10px var(--BoxShodow);
    border-radius: 5px;
    display: inline-block;
    position: sticky;
    top: 10px;
    z-index: 10000;
    font-family: 'Montserrat', sans-serif;
}

.CorpoDash .HeaderDash form {
    display: flex;
}

.CorpoDash .HeaderDash .text {
    display: flex;
    margin: 5px;
    align-items: center;
    justify-content: center;
    font-size: 15px;
    font-weight: 500;
}

.CorpoDash .HeaderDash .grouInputs {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px;
}

.CorpoDash .HeaderDash input {
    margin: 0 5px 0 5px;
    border: 1px solid #c2c2c2;
    font-size: 14px;
    outline: none;
    font-family: 'Montserrat', sans-serif;
}

.CorpoDash .HeaderDash button {
    border: 0;
    padding: 5px 8px 5px 8px;
    background: var(--colorPrinciapl);
    color: white;
    outline: none;
    cursor: pointer;
}

.CorpoDash .BodyDash {
    width: 100%;
    height: auto;
    transition: all 0.4s ease-in-out;
    display: flex;
}

.CorpoDash .dashVendedores {
    display: flex;
    width: 100%;
}

.CorpoDash .dashVendedorCorpo {
    margin: 5px 0px 5px 5px;
    border-radius: 5px;
    width: 410px;
    max-height: 280px;
    overflow: auto;
}

.CorpoDash .dashVendedorCorpo .corpoComissao .titulo {
    display: flex;
    background: #d7c73c;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    border-radius: 5px 5px 0 0;
    font-weight: 500;
    font-family: 'Montserrat', sans-serif;
    position: sticky;
    top: 0;
}

.CorpoDash .dashVendedorCorpo .corpoComissao #myTable tr th {
    font-size: 10px;
}

.CorpoDash .dashOrigem {
    margin: 5px 0px 5px 5px;
    border-radius: 5px;
    width: 235px;
}

.CorpoDash .dashOrigem .corpoComissao .titulo {
    display: flex;
    background: #d7c73c;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    border-radius: 5px 5px 0 0;
    font-weight: 500;
    font-family: 'Montserrat', sans-serif;
    position: sticky;
    top: 0;
}

.CorpoDash .dashOrigem .corpoComissao #myTable tr th {
    font-size: 10px;
}

.CorpoDash .dashCidadeDia {
    margin: 5px 0px 5px 5px;
    border-radius: 5px;
    width: 200px;
}

.CorpoDash .dashCidadeDia .corpoComissao .titulo {
    display: flex;
    background: #d7c73c;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    border-radius: 5px 5px 0 0;
    font-weight: 500;
    font-family: 'Montserrat', sans-serif;
    position: sticky;
    top: 0;
}

.CorpoDash .dashCidadeDia .corpoComissao select {
    width: 100%;
    border: 1px solid #c2c2c2;
    font-size: 12px;
    outline: none;
    text-align: center;
    font-weight: 500;
}

.CorpoDash .dashCidadeDia .corpoComissao #myTable tr th {
    font-size: 10px;
}


#myTable {
    border-collapse: collapse;
    width: 100%;
    margin: 0;
    background-color: var(--colorTable);
    color: var(--colorFont);
    font-family: 'Segoe UI', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif'
}

thead tr th,
tfoot tr th,
tbody tr td {
    text-align: center;
    padding: 3.5px;
    border: 1px solid #ddd;
    border-collapse: collapse;
    font-size: 12px;
    font-family: 'Segoe UI', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif'
}

[tableExternoDiario] thead tr th,
[tableExternoDiario] tfoot tr th,
[tableExternoDiario] tbody tr td {
    text-align: center;
    padding: 3.5px;
    border: 1px solid #ddd;
    border-collapse: collapse;
    font-size: 9px;
    font-family: 'Segoe UI', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif'
}

tbody tr td {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}



thead th[thFinal] {
    background-color: var(--colorPrinciapl);
    color: white;
    font-family: 'Segoe UI', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif'
}


thead .input th {
    padding: 2px;
}

thead .textHead th {
    padding: 2px;
}

.subcorpo thead tr {
    background-color: #fffb83;
    color: var(--colorTableHeader);
    font-family: 'Segoe UI', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif';
}

.subcorpo {
    width: 660px;
    height: auto;
    margin: 15px 3px;
}

.subcorpo[subCorpoExternoDiario] {
    width: 220px;
    height: auto;
    margin: 15px 3px;
}


.subcorpo .header {
    padding: 5px;
    margin: 5px 0 0 0;
    text-align: center;
    border-radius: 5px;
    background: var(--colorTable);
}

.subcorpo .header i {
    float: right;
    color: green;
    cursor: pointer;
}


.subcorpo input {
    position: absolute;
    left: 22px;
    top: 22px;
    border: none;
    font-weight: 500;
    font-size: 11px;
    outline: none;
}

::-webkit-calendar-picker-indicator {
    margin-left: -15px;
}

.subcorpo .header span {
    padding: 5px;
    width: auto;
    background: var(--colorHeaderTableSpan);
    position: relative;
    top: -15px;
    border-radius: 5px;
    font-size: 11px;
    font-weight: 600;
    font-family: 'Montserrat', sans-serif;

}

.subcorpo .body {
    margin: -8px 0 0 0;
    padding: 5px;
    border-radius: 5px;
    background: var(--colorTable);
}

.CorpoDash .BodyDash .corpoExterno {
    display: flex;
    flex-flow: wrap;
    justify-content: center;
}



@media screen and (max-width: 1085px) {
    .CorpoDash .BodyDash {
        width: 100%;
        height: auto;
        transition: all 0.4s ease-in-out;
        display: inline-block;
    }
}

@media screen and (max-width: 544px) {
    .subcorpo {
        width: 550px;
        height: auto;
        margin: 15px 3px;
    }

    .CorpoDash .HeaderDash form {
        display: flex;
        flex-flow: wrap;
        justify-content: center;
        align-items: center;
    }
}

@media screen and (max-width: 453px) {
    .subcorpo[subCorpoExternoDiario] {
        width: 100%;
        height: auto;
        margin: 15px 10px;
    }
}



.CorpoDash .BodyDash .gridDetals {
    background: white;
    width: 260px;
    height: auto;
    /* padding: 8px; */
    box-shadow: 3px 3px 10px #c2c2c2;
    margin: 5px;
}
.CorpoDash .BodyDash .gridDetals .headerDetals {
    padding: 5px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: var(--colorPrinciapl);
    color: white;
}
.CorpoDash .BodyDash .gridDetals .headerDetals span{
    font-size: 12px;
    font-weight: 500;
}
.CorpoDash .BodyDash .gridDetals .bodyDetals ul{
    margin: 0;
    padding: 0;
    display: inline-block;
    width: 100%;
}
.CorpoDash .BodyDash .gridDetals .bodyDetals ul li{
    height: 45px;
    border-bottom: 1px solid #c2c2c2;
    display: flex;
}
.CorpoDash .BodyDash .gridDetals .bodyDetals ul li .informacao{
    display: flex;
    width: 100%;
    flex-direction: column;
    justify-content: space-around;
}
.CorpoDash .BodyDash .gridDetals .bodyDetals ul li .informacao .titulo{
    margin: 0 8px;
    font-size: 11px;
    font-weight: 600;
}
.CorpoDash .BodyDash .gridDetals .bodyDetals ul li .informacao .resposta{
    font-size: 14px;
    font-weight: 500;
    margin: 0 3px;
}